import React from 'react';
import PropTypes from 'prop-types';
export declare class TiledGrid extends React.Component<any, any> {
    static propTypes: {
        testAutomationId: PropTypes.Requireable<string>;
        currentItemIndex: PropTypes.Requireable<number>;
        cols: PropTypes.Requireable<number>;
        items: PropTypes.Validator<any[]>;
        bannerAdditionalOffset: PropTypes.Requireable<number>;
        closable: PropTypes.Requireable<boolean>;
        closeLabel: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        cols: number;
        bannerAdditionalOffset: number;
        currentItemIndex: any;
        closable: boolean;
        readonly closeLabel: string;
        testAutomationId: string;
        onChange: any;
    };
    constructor(props: any, context: any);
    componentWillReceiveProps(nextProps: any): void;
    setCurrentItemIndex(index: any): void;
    getColSize(): any;
    getRowNumbers(): number;
    getActiveRow(): number;
    onCloseButtonClick(): void;
    renderItem(item: any, index: any): any;
    renderItemDetails(item: any): any;
    renderItems(): JSX.Element;
    render(): JSX.Element;
}
